#ifndef CLIENT_THREAD_H
#define CLIENT_THREAD_H

/*!
  \file
  \brief クライアント側

  \author Satofumi KAMIMURA

  $Id: ClientThread.h 1138 2009-07-13 10:40:08Z satofumi $
*/

#include <QThread>


class ClientThread : public QThread
{
  ClientThread(const ClientThread& rhs);
  ClientThread& operator = (const ClientThread& rhs);

  struct pImpl;
  std::auto_ptr<pImpl> pimpl;

public:
  ClientThread(void);
  ~ClientThread(void);

  void run(void);
};

#endif /* !CLIENT_THREAD_H */
